diff -u -r postgresql-7.0.2/src/interfaces/odbc/info.c postgresql-7.0.2.new/src/interfaces/odbc/info.c
--- postgresql-7.0.2/src/interfaces/odbc/info.c	Wed May 17 16:36:37 2000
+++ postgresql-7.0.2.new/src/interfaces/odbc/info.c	Tue Jun 20 13:43:22 2000
@@ -926,7 +926,7 @@
 
 	ci = &stmt->hdbc->connInfo;
 
-	result = SQLAllocStmt( stmt->hdbc, &htbl_stmt);
+	result = PG__SQLAllocStmt( stmt->hdbc, &htbl_stmt);
 	if((result != SQL_SUCCESS) && (result != SQL_SUCCESS_WITH_INFO)) {
 		stmt->errornumber = STMT_NO_MEMORY_ERROR;
 		stmt->errormsg = "Couldn't allocate statement for SQLTables result.";
@@ -1014,41 +1014,41 @@
 
 	// **********************************************************************
 
-	result = SQLExecDirect(htbl_stmt, tables_query, strlen(tables_query));
+	result = PG__SQLExecDirect(htbl_stmt, tables_query, strlen(tables_query));
 	if((result != SQL_SUCCESS) && (result != SQL_SUCCESS_WITH_INFO)) {
 		stmt->errormsg = SC_create_errormsg(htbl_stmt);
 		stmt->errornumber = tbl_stmt->errornumber;
 		SC_log_error(func, "", stmt);
-		SQLFreeStmt(htbl_stmt, SQL_DROP);
+		PG__SQLFreeStmt(htbl_stmt, SQL_DROP);
 		return SQL_ERROR;
 	}
 
-    result = SQLBindCol(htbl_stmt, 1, SQL_C_CHAR,
+    result = PG__SQLBindCol(htbl_stmt, 1, SQL_C_CHAR,
                         table_name, MAX_INFO_STRING, NULL);
     if((result != SQL_SUCCESS) && (result != SQL_SUCCESS_WITH_INFO)) {
 		stmt->errormsg = tbl_stmt->errormsg;
 		stmt->errornumber = tbl_stmt->errornumber;
 		SC_log_error(func, "", stmt);
-		SQLFreeStmt(htbl_stmt, SQL_DROP);
+		PG__SQLFreeStmt(htbl_stmt, SQL_DROP);
         return SQL_ERROR;
     }
 
-    result = SQLBindCol(htbl_stmt, 2, SQL_C_CHAR,
+    result = PG__SQLBindCol(htbl_stmt, 2, SQL_C_CHAR,
                         table_owner, MAX_INFO_STRING, NULL);
     if((result != SQL_SUCCESS) && (result != SQL_SUCCESS_WITH_INFO)) {
 		stmt->errormsg = tbl_stmt->errormsg;
 		stmt->errornumber = tbl_stmt->errornumber;
 		SC_log_error(func, "", stmt);
-		SQLFreeStmt(htbl_stmt, SQL_DROP);
+		PG__SQLFreeStmt(htbl_stmt, SQL_DROP);
         return SQL_ERROR;
     }
-    result = SQLBindCol(htbl_stmt, 3, SQL_C_CHAR,
+    result = PG__SQLBindCol(htbl_stmt, 3, SQL_C_CHAR,
                         relhasrules, MAX_INFO_STRING, NULL);
     if((result != SQL_SUCCESS) && (result != SQL_SUCCESS_WITH_INFO)) {
 		stmt->errormsg = tbl_stmt->errormsg;
 		stmt->errornumber = tbl_stmt->errornumber;
 		SC_log_error(func, "", stmt);
-		SQLFreeStmt(htbl_stmt, SQL_DROP);
+		PG__SQLFreeStmt(htbl_stmt, SQL_DROP);
         return SQL_ERROR;
     }
 
@@ -1057,7 +1057,7 @@
 		stmt->errormsg = "Couldn't allocate memory for SQLTables result.";
 		stmt->errornumber = STMT_NO_MEMORY_ERROR;
 		SC_log_error(func, "", stmt);
-		SQLFreeStmt(htbl_stmt, SQL_DROP);
+		PG__SQLFreeStmt(htbl_stmt, SQL_DROP);
 		return SQL_ERROR;
 	}
 
@@ -1074,7 +1074,7 @@
 	QR_set_field_info(stmt->result, 4, "REMARKS", PG_TYPE_TEXT, 254);
 
     // add the tuples
-	result = SQLFetch(htbl_stmt);
+	result = PG__SQLFetch(htbl_stmt);
 	while((result == SQL_SUCCESS) || (result == SQL_SUCCESS_WITH_INFO)) {
 
 		/*	Determine if this table name is a system table.
@@ -1133,13 +1133,13 @@
 
 			QR_add_tuple(stmt->result, row);
 		}
-		result = SQLFetch(htbl_stmt);
+		result = PG__SQLFetch(htbl_stmt);
     }
 	if(result != SQL_NO_DATA_FOUND) {
 		stmt->errormsg = SC_create_errormsg(htbl_stmt);
 		stmt->errornumber = tbl_stmt->errornumber;
 		SC_log_error(func, "", stmt);
-		SQLFreeStmt(htbl_stmt, SQL_DROP);
+		PG__SQLFreeStmt(htbl_stmt, SQL_DROP);
 		return SQL_ERROR;
 	}
 
@@ -1152,7 +1152,7 @@
 	stmt->rowset_start = -1;
 	stmt->current_col = -1;
 
-	SQLFreeStmt(htbl_stmt, SQL_DROP);
+	PG__SQLFreeStmt(htbl_stmt, SQL_DROP);
 	mylog("SQLTables(): EXIT,  stmt=%u\n", stmt);
 	return SQL_SUCCESS;
 }
@@ -1160,7 +1160,7 @@
 
 
 
-RETCODE SQL_API SQLColumns(
+RETCODE SQL_API PG__SQLColumns(
                            HSTMT        hstmt,
                            UCHAR FAR *  szTableQualifier,
                            SWORD        cbTableQualifier,
@@ -1217,7 +1217,7 @@
     strcat(columns_query, " order by attnum");
 	// **********************************************************************
 
-    result = SQLAllocStmt( stmt->hdbc, &hcol_stmt);
+    result = PG__SQLAllocStmt( stmt->hdbc, &hcol_stmt);
     if((result != SQL_SUCCESS) && (result != SQL_SUCCESS_WITH_INFO)) {
 		stmt->errornumber = STMT_NO_MEMORY_ERROR;
 		stmt->errormsg = "Couldn't allocate statement for SQLColumns result.";
@@ -1228,113 +1228,113 @@
 
 	mylog("SQLColumns: hcol_stmt = %u, col_stmt = %u\n", hcol_stmt, col_stmt);
 
-    result = SQLExecDirect(hcol_stmt, columns_query,
+    result = PG__SQLExecDirect(hcol_stmt, columns_query,
                            strlen(columns_query));
     if((result != SQL_SUCCESS) && (result != SQL_SUCCESS_WITH_INFO)) {
 		stmt->errormsg = SC_create_errormsg(hcol_stmt);
 		stmt->errornumber = col_stmt->errornumber;
 		SC_log_error(func, "", stmt);
-		SQLFreeStmt(hcol_stmt, SQL_DROP);
+		PG__SQLFreeStmt(hcol_stmt, SQL_DROP);
         return SQL_ERROR;
     }
 
-    result = SQLBindCol(hcol_stmt, 1, SQL_C_CHAR,
+    result = PG__SQLBindCol(hcol_stmt, 1, SQL_C_CHAR,
                         table_owner, MAX_INFO_STRING, NULL);
     if((result != SQL_SUCCESS) && (result != SQL_SUCCESS_WITH_INFO)) {
 		stmt->errormsg = col_stmt->errormsg;
 		stmt->errornumber = col_stmt->errornumber;
 		SC_log_error(func, "", stmt);
-		SQLFreeStmt(hcol_stmt, SQL_DROP);
+		PG__SQLFreeStmt(hcol_stmt, SQL_DROP);
         return SQL_ERROR;
     }
 
-    result = SQLBindCol(hcol_stmt, 2, SQL_C_CHAR,
+    result = PG__SQLBindCol(hcol_stmt, 2, SQL_C_CHAR,
                         table_name, MAX_INFO_STRING, NULL);
     if((result != SQL_SUCCESS) && (result != SQL_SUCCESS_WITH_INFO)) {
 		stmt->errormsg = col_stmt->errormsg;
 		stmt->errornumber = col_stmt->errornumber;
 		SC_log_error(func, "", stmt);
-		SQLFreeStmt(hcol_stmt, SQL_DROP);
+		PG__SQLFreeStmt(hcol_stmt, SQL_DROP);
         return SQL_ERROR;
     }
 
-    result = SQLBindCol(hcol_stmt, 3, SQL_C_CHAR,
+    result = PG__SQLBindCol(hcol_stmt, 3, SQL_C_CHAR,
                         field_name, MAX_INFO_STRING, NULL);
     if((result != SQL_SUCCESS) && (result != SQL_SUCCESS_WITH_INFO)) {
 		stmt->errormsg = col_stmt->errormsg;
 		stmt->errornumber = col_stmt->errornumber;
 		SC_log_error(func, "", stmt);
-		SQLFreeStmt(hcol_stmt, SQL_DROP);
+		PG__SQLFreeStmt(hcol_stmt, SQL_DROP);
         return SQL_ERROR;
     }
 
-    result = SQLBindCol(hcol_stmt, 4, SQL_C_LONG,
+    result = PG__SQLBindCol(hcol_stmt, 4, SQL_C_LONG,
                         &field_type, 4, NULL);
     if((result != SQL_SUCCESS) && (result != SQL_SUCCESS_WITH_INFO)) {
 		stmt->errormsg = col_stmt->errormsg;
 		stmt->errornumber = col_stmt->errornumber;
 		SC_log_error(func, "", stmt);
-		SQLFreeStmt(hcol_stmt, SQL_DROP);
+		PG__SQLFreeStmt(hcol_stmt, SQL_DROP);
         return SQL_ERROR;
     }
 
-    result = SQLBindCol(hcol_stmt, 5, SQL_C_CHAR,
+    result = PG__SQLBindCol(hcol_stmt, 5, SQL_C_CHAR,
                         field_type_name, MAX_INFO_STRING, NULL);
     if((result != SQL_SUCCESS) && (result != SQL_SUCCESS_WITH_INFO)) {
 		stmt->errormsg = col_stmt->errormsg;
 		stmt->errornumber = col_stmt->errornumber;
 		SC_log_error(func, "", stmt);
-		SQLFreeStmt(hcol_stmt, SQL_DROP);
+		PG__SQLFreeStmt(hcol_stmt, SQL_DROP);
         return SQL_ERROR;
     }
 
-    result = SQLBindCol(hcol_stmt, 6, SQL_C_SHORT,
+    result = PG__SQLBindCol(hcol_stmt, 6, SQL_C_SHORT,
                         &field_number, MAX_INFO_STRING, NULL);
     if((result != SQL_SUCCESS) && (result != SQL_SUCCESS_WITH_INFO)) {
 		stmt->errormsg = col_stmt->errormsg;
 		stmt->errornumber = col_stmt->errornumber;
 		SC_log_error(func, "", stmt);
-		SQLFreeStmt(hcol_stmt, SQL_DROP);
+		PG__SQLFreeStmt(hcol_stmt, SQL_DROP);
         return SQL_ERROR;
     }
 
-    result = SQLBindCol(hcol_stmt, 7, SQL_C_LONG,
+    result = PG__SQLBindCol(hcol_stmt, 7, SQL_C_LONG,
                         &field_length, MAX_INFO_STRING, NULL);
     if((result != SQL_SUCCESS) && (result != SQL_SUCCESS_WITH_INFO)) {
 		stmt->errormsg = col_stmt->errormsg;
 		stmt->errornumber = col_stmt->errornumber;
 		SC_log_error(func, "", stmt);
-		SQLFreeStmt(hcol_stmt, SQL_DROP);
+		PG__SQLFreeStmt(hcol_stmt, SQL_DROP);
         return SQL_ERROR;
     }
 
-    result = SQLBindCol(hcol_stmt, 8, SQL_C_LONG,
+    result = PG__SQLBindCol(hcol_stmt, 8, SQL_C_LONG,
                         &mod_length, MAX_INFO_STRING, NULL);
     if((result != SQL_SUCCESS) && (result != SQL_SUCCESS_WITH_INFO)) {
 		stmt->errormsg = col_stmt->errormsg;
 		stmt->errornumber = col_stmt->errornumber;
 		SC_log_error(func, "", stmt);
-		SQLFreeStmt(hcol_stmt, SQL_DROP);
+		PG__SQLFreeStmt(hcol_stmt, SQL_DROP);
         return SQL_ERROR;
     }
 
-    result = SQLBindCol(hcol_stmt, 9, SQL_C_CHAR,
+    result = PG__SQLBindCol(hcol_stmt, 9, SQL_C_CHAR,
                         not_null, MAX_INFO_STRING, NULL);
     if((result != SQL_SUCCESS) && (result != SQL_SUCCESS_WITH_INFO)) {
 		stmt->errormsg = col_stmt->errormsg;
 		stmt->errornumber = col_stmt->errornumber;
 		SC_log_error(func, "", stmt);
-		SQLFreeStmt(hcol_stmt, SQL_DROP);
+		PG__SQLFreeStmt(hcol_stmt, SQL_DROP);
         return SQL_ERROR;
     }
 
-    result = SQLBindCol(hcol_stmt, 10, SQL_C_CHAR,
+    result = PG__SQLBindCol(hcol_stmt, 10, SQL_C_CHAR,
                         relhasrules, MAX_INFO_STRING, NULL);
     if((result != SQL_SUCCESS) && (result != SQL_SUCCESS_WITH_INFO)) {
 		stmt->errormsg = col_stmt->errormsg;
 		stmt->errornumber = col_stmt->errornumber;
 		SC_log_error(func, "", stmt);
-		SQLFreeStmt(hcol_stmt, SQL_DROP);
+		PG__SQLFreeStmt(hcol_stmt, SQL_DROP);
         return SQL_ERROR;
     }
 
@@ -1343,7 +1343,7 @@
 		stmt->errormsg = "Couldn't allocate memory for SQLColumns result.";
         stmt->errornumber = STMT_NO_MEMORY_ERROR;
 		SC_log_error(func, "", stmt);
-		SQLFreeStmt(hcol_stmt, SQL_DROP);
+		PG__SQLFreeStmt(hcol_stmt, SQL_DROP);
         return SQL_ERROR;
     }
 
@@ -1372,7 +1372,7 @@
 	QR_set_field_info(stmt->result, 13, "FIELD_TYPE", PG_TYPE_INT4, 4);
 
 	
-	result = SQLFetch(hcol_stmt);
+	result = PG__SQLFetch(hcol_stmt);
 
 
 	/*	Only show oid if option AND there are other columns AND 
@@ -1503,14 +1503,14 @@
         QR_add_tuple(stmt->result, row);
 
 
-        result = SQLFetch(hcol_stmt);
+        result = PG__SQLFetch(hcol_stmt);
 
     }
     if(result != SQL_NO_DATA_FOUND) {
 		stmt->errormsg = SC_create_errormsg(hcol_stmt);
 		stmt->errornumber = col_stmt->errornumber;
 		SC_log_error(func, "", stmt);
-		SQLFreeStmt(hcol_stmt, SQL_DROP);
+		PG__SQLFreeStmt(hcol_stmt, SQL_DROP);
         return SQL_ERROR;
     }
 
@@ -1550,11 +1550,33 @@
 	stmt->rowset_start = -1;
 	stmt->current_col = -1;
 
-	SQLFreeStmt(hcol_stmt, SQL_DROP);
+	PG__SQLFreeStmt(hcol_stmt, SQL_DROP);
 	mylog("SQLColumns(): EXIT,  stmt=%u\n", stmt);
     return SQL_SUCCESS;
 }
 
+RETCODE SQL_API SQLColumns(
+                           HSTMT        hstmt,
+                           UCHAR FAR *  szTableQualifier,
+                           SWORD        cbTableQualifier,
+                           UCHAR FAR *  szTableOwner,
+                           SWORD        cbTableOwner,
+                           UCHAR FAR *  szTableName,
+                           SWORD        cbTableName,
+                           UCHAR FAR *  szColumnName,
+                           SWORD        cbColumnName)
+{
+    return PG__SQLColumns( hstmt,
+            szTableQualifier,
+            cbTableQualifier,
+            szTableOwner,
+            cbTableOwner,
+            szTableName,
+            cbTableName,
+            szColumnName,
+            cbColumnName );
+}
+
 RETCODE SQL_API SQLSpecialColumns(
                                   HSTMT        hstmt,
                                   UWORD        fColType,
@@ -1601,7 +1623,7 @@
 	my_strcat(columns_query, " and u.usename like '%.*s'", szTableOwner, cbTableOwner);
 
 
-    result = SQLAllocStmt( stmt->hdbc, &hcol_stmt);
+    result = PG__SQLAllocStmt( stmt->hdbc, &hcol_stmt);
     if((result != SQL_SUCCESS) && (result != SQL_SUCCESS_WITH_INFO)) {
 		stmt->errornumber = STMT_NO_MEMORY_ERROR;
 		stmt->errormsg = "Couldn't allocate statement for SQLSpecialColumns result.";
@@ -1612,28 +1634,28 @@
 
 	mylog("SQLSpecialColumns: hcol_stmt = %u, col_stmt = %u\n", hcol_stmt, col_stmt);
 
-    result = SQLExecDirect(hcol_stmt, columns_query,
+    result = PG__SQLExecDirect(hcol_stmt, columns_query,
                            strlen(columns_query));
     if((result != SQL_SUCCESS) && (result != SQL_SUCCESS_WITH_INFO)) {
 		stmt->errormsg = SC_create_errormsg(hcol_stmt);
 		stmt->errornumber = col_stmt->errornumber;
 		SC_log_error(func, "", stmt);
-		SQLFreeStmt(hcol_stmt, SQL_DROP);
+		PG__SQLFreeStmt(hcol_stmt, SQL_DROP);
         return SQL_ERROR;
     }
 
-    result = SQLBindCol(hcol_stmt, 1, SQL_C_CHAR,
+    result = PG__SQLBindCol(hcol_stmt, 1, SQL_C_CHAR,
                         relhasrules, MAX_INFO_STRING, NULL);
     if((result != SQL_SUCCESS) && (result != SQL_SUCCESS_WITH_INFO)) {
 		stmt->errormsg = col_stmt->errormsg;
 		stmt->errornumber = col_stmt->errornumber;
 		SC_log_error(func, "", stmt);
-		SQLFreeStmt(hcol_stmt, SQL_DROP);
+		PG__SQLFreeStmt(hcol_stmt, SQL_DROP);
         return SQL_ERROR;
     }
 
-	result = SQLFetch(hcol_stmt);
-	SQLFreeStmt(hcol_stmt, SQL_DROP);
+	result = PG__SQLFetch(hcol_stmt);
+	PG__SQLFreeStmt(hcol_stmt, SQL_DROP);
 
     stmt->result = QR_Constructor();
     extend_bindings(stmt, 8);
@@ -1782,7 +1804,7 @@
 
 	// we need to get a list of the field names first,
 	// so we can return them later.
-	result = SQLAllocStmt( stmt->hdbc, &hcol_stmt);
+	result = PG__SQLAllocStmt( stmt->hdbc, &hcol_stmt);
 	if((result != SQL_SUCCESS) && (result != SQL_SUCCESS_WITH_INFO)) {
 		stmt->errormsg = "SQLAllocStmt failed in SQLStatistics for columns.";
 		stmt->errornumber = STMT_NO_MEMORY_ERROR;
@@ -1795,27 +1817,27 @@
 		This would throw everything off.
 	*/
 	col_stmt->internal = TRUE;
-	result = SQLColumns(hcol_stmt, "", 0, "", 0, 
+	result = PG__SQLColumns(hcol_stmt, "", 0, "", 0, 
 				table_name, (SWORD) strlen(table_name), "", 0);
 	col_stmt->internal = FALSE;
 
 	if((result != SQL_SUCCESS) && (result != SQL_SUCCESS_WITH_INFO)) {
 			stmt->errormsg = col_stmt->errormsg;        // "SQLColumns failed in SQLStatistics.";
 			stmt->errornumber = col_stmt->errornumber;  // STMT_EXEC_ERROR;
-			SQLFreeStmt(hcol_stmt, SQL_DROP);
+			PG__SQLFreeStmt(hcol_stmt, SQL_DROP);
 			goto SEEYA;
 	}
-	result = SQLBindCol(hcol_stmt, 4, SQL_C_CHAR,
+	result = PG__SQLBindCol(hcol_stmt, 4, SQL_C_CHAR,
 				column_name, MAX_INFO_STRING, &column_name_len);
 	if((result != SQL_SUCCESS) && (result != SQL_SUCCESS_WITH_INFO)) {
 		stmt->errormsg = col_stmt->errormsg;
 		stmt->errornumber = col_stmt->errornumber;
-		SQLFreeStmt(hcol_stmt, SQL_DROP);
+		PG__SQLFreeStmt(hcol_stmt, SQL_DROP);
 		goto SEEYA;
 
 	}
 
-	result = SQLFetch(hcol_stmt);
+	result = PG__SQLFetch(hcol_stmt);
 	while((result == SQL_SUCCESS) || (result == SQL_SUCCESS_WITH_INFO)) {
 		total_columns++;
 
@@ -1828,20 +1850,20 @@
 
 		mylog("SQLStatistics: column_name = '%s'\n", column_name);
 
-		result = SQLFetch(hcol_stmt);
+		result = PG__SQLFetch(hcol_stmt);
 	}
 	if(result != SQL_NO_DATA_FOUND || total_columns == 0) {
 			stmt->errormsg = SC_create_errormsg(hcol_stmt); // "Couldn't get column names in SQLStatistics.";
 			stmt->errornumber = col_stmt->errornumber;
-			SQLFreeStmt(hcol_stmt, SQL_DROP);
+			PG__SQLFreeStmt(hcol_stmt, SQL_DROP);
    			goto SEEYA;
 
 	}
 	
-	SQLFreeStmt(hcol_stmt, SQL_DROP);
+	PG__SQLFreeStmt(hcol_stmt, SQL_DROP);
 
     // get a list of indexes on this table
-    result = SQLAllocStmt( stmt->hdbc, &hindx_stmt);
+    result = PG__SQLAllocStmt( stmt->hdbc, &hindx_stmt);
     if((result != SQL_SUCCESS) && (result != SQL_SUCCESS_WITH_INFO)) {
 		stmt->errormsg = "SQLAllocStmt failed in SQLStatistics for indices.";
 		stmt->errornumber = STMT_NO_MEMORY_ERROR;
@@ -1856,62 +1878,62 @@
 			" where c.oid = i.indexrelid and d.relname = '%s'"
 			" and d.oid = i.indrelid", table_name);
 
-    result = SQLExecDirect(hindx_stmt, index_query, strlen(index_query));
+    result = PG__SQLExecDirect(hindx_stmt, index_query, strlen(index_query));
     if((result != SQL_SUCCESS) && (result != SQL_SUCCESS_WITH_INFO)) {
 		stmt->errormsg = SC_create_errormsg(hindx_stmt); // "Couldn't execute index query (w/SQLExecDirect) in SQLStatistics.";
 		stmt->errornumber = indx_stmt->errornumber;
-		SQLFreeStmt(hindx_stmt, SQL_DROP);
+		PG__SQLFreeStmt(hindx_stmt, SQL_DROP);
   		goto SEEYA;
 
     }
 
     // bind the index name column
-    result = SQLBindCol(hindx_stmt, 1, SQL_C_CHAR,
+    result = PG__SQLBindCol(hindx_stmt, 1, SQL_C_CHAR,
                         index_name, MAX_INFO_STRING, &index_name_len);
     if((result != SQL_SUCCESS) && (result != SQL_SUCCESS_WITH_INFO)) {
 		stmt->errormsg = indx_stmt->errormsg; // "Couldn't bind column in SQLStatistics.";
 		stmt->errornumber = indx_stmt->errornumber;
-		SQLFreeStmt(hindx_stmt, SQL_DROP);
+		PG__SQLFreeStmt(hindx_stmt, SQL_DROP);
    		goto SEEYA;
 
     }
     // bind the vector column
-    result = SQLBindCol(hindx_stmt, 2, SQL_C_DEFAULT,
+    result = PG__SQLBindCol(hindx_stmt, 2, SQL_C_DEFAULT,
                         fields_vector, 16, &fields_vector_len);
     if((result != SQL_SUCCESS) && (result != SQL_SUCCESS_WITH_INFO)) {
 		stmt->errormsg = indx_stmt->errormsg;  // "Couldn't bind column in SQLStatistics.";
 		stmt->errornumber = indx_stmt->errornumber;
-		SQLFreeStmt(hindx_stmt, SQL_DROP);
+		PG__SQLFreeStmt(hindx_stmt, SQL_DROP);
 		goto SEEYA;
 
     }
     // bind the "is unique" column
-    result = SQLBindCol(hindx_stmt, 3, SQL_C_CHAR,
+    result = PG__SQLBindCol(hindx_stmt, 3, SQL_C_CHAR,
                         isunique, sizeof(isunique), NULL);
     if((result != SQL_SUCCESS) && (result != SQL_SUCCESS_WITH_INFO)) {
 		stmt->errormsg = indx_stmt->errormsg;  // "Couldn't bind column in SQLStatistics.";
 		stmt->errornumber = indx_stmt->errornumber;
-		SQLFreeStmt(hindx_stmt, SQL_DROP);
+		PG__SQLFreeStmt(hindx_stmt, SQL_DROP);
 		goto SEEYA;
     }
 
     // bind the "is clustered" column
-    result = SQLBindCol(hindx_stmt, 4, SQL_C_CHAR,
+    result = PG__SQLBindCol(hindx_stmt, 4, SQL_C_CHAR,
                         isclustered, sizeof(isclustered), NULL);
     if((result != SQL_SUCCESS) && (result != SQL_SUCCESS_WITH_INFO)) {
 		stmt->errormsg = indx_stmt->errormsg;  // "Couldn't bind column in SQLStatistics.";
 		stmt->errornumber = indx_stmt->errornumber;
-		SQLFreeStmt(hindx_stmt, SQL_DROP);
+		PG__SQLFreeStmt(hindx_stmt, SQL_DROP);
 		goto SEEYA;
 
     }
 
-    result = SQLBindCol(hindx_stmt, 5, SQL_C_CHAR,
+    result = PG__SQLBindCol(hindx_stmt, 5, SQL_C_CHAR,
                         relhasrules, MAX_INFO_STRING, NULL);
     if((result != SQL_SUCCESS) && (result != SQL_SUCCESS_WITH_INFO)) {
 		stmt->errormsg = indx_stmt->errormsg;
 		stmt->errornumber = indx_stmt->errornumber;
-		SQLFreeStmt(hindx_stmt, SQL_DROP);
+		PG__SQLFreeStmt(hindx_stmt, SQL_DROP);
         goto SEEYA;
     }
 
@@ -1948,7 +1970,7 @@
 		QR_add_tuple(stmt->result, row);
 	}
 
-    result = SQLFetch(hindx_stmt);
+    result = PG__SQLFetch(hindx_stmt);
     while((result == SQL_SUCCESS) || (result == SQL_SUCCESS_WITH_INFO)) {
 
 		//	If only requesting unique indexs, then just return those.
@@ -2004,16 +2026,16 @@
 			}
 		}
 
-        result = SQLFetch(hindx_stmt);
+        result = PG__SQLFetch(hindx_stmt);
     }
     if(result != SQL_NO_DATA_FOUND) {
 		stmt->errormsg = SC_create_errormsg(hindx_stmt); // "SQLFetch failed in SQLStatistics.";
 		stmt->errornumber = indx_stmt->errornumber;
-		SQLFreeStmt(hindx_stmt, SQL_DROP);
+		PG__SQLFreeStmt(hindx_stmt, SQL_DROP);
 		goto SEEYA;
     }
 
-	SQLFreeStmt(hindx_stmt, SQL_DROP);
+	PG__SQLFreeStmt(hindx_stmt, SQL_DROP);
 
     // also, things need to think that this statement is finished so
     // the results can be retrieved.
@@ -2069,7 +2091,7 @@
 /* SQLPrimaryKeys()
  * Retrieve the primary key columns for the specified table.
  */
-RETCODE SQL_API SQLPrimaryKeys(
+RETCODE SQL_API PG__SQLPrimaryKeys(
                                HSTMT         hstmt,
                                UCHAR FAR *   szTableQualifier,
                                SWORD         cbTableQualifier,
@@ -2123,7 +2145,7 @@
     QR_set_field_info(stmt->result, 5, "PK_NAME", PG_TYPE_TEXT, MAX_INFO_STRING);
 
 
-    result = SQLAllocStmt( stmt->hdbc, &htbl_stmt);
+    result = PG__SQLAllocStmt( stmt->hdbc, &htbl_stmt);
     if((result != SQL_SUCCESS) && (result != SQL_SUCCESS_WITH_INFO)) {
 		stmt->errornumber = STMT_NO_MEMORY_ERROR;
 		stmt->errormsg = "Couldn't allocate statement for Primary Key result.";
@@ -2138,7 +2160,7 @@
 		stmt->errormsg = "No Table specified to SQLPrimaryKeys.";
 	    stmt->errornumber = STMT_INTERNAL_ERROR;
 		SC_log_error(func, "", stmt);
-		SQLFreeStmt(htbl_stmt, SQL_DROP);
+		PG__SQLFreeStmt(htbl_stmt, SQL_DROP);
 		return SQL_ERROR;
 	}
 
@@ -2162,26 +2184,26 @@
 
 	mylog("SQLPrimaryKeys: tables_query='%s'\n", tables_query);
 
-    result = SQLExecDirect(htbl_stmt, tables_query, strlen(tables_query));
+    result = PG__SQLExecDirect(htbl_stmt, tables_query, strlen(tables_query));
     if((result != SQL_SUCCESS) && (result != SQL_SUCCESS_WITH_INFO)) {
 		stmt->errormsg = SC_create_errormsg(htbl_stmt);
 		stmt->errornumber = tbl_stmt->errornumber;
 		SC_log_error(func, "", stmt);
-		SQLFreeStmt(htbl_stmt, SQL_DROP);
+		PG__SQLFreeStmt(htbl_stmt, SQL_DROP);
         return SQL_ERROR;
     }
 
-    result = SQLBindCol(htbl_stmt, 1, SQL_C_CHAR,
+    result = PG__SQLBindCol(htbl_stmt, 1, SQL_C_CHAR,
                         attname, MAX_INFO_STRING, &attname_len);
     if((result != SQL_SUCCESS) && (result != SQL_SUCCESS_WITH_INFO)) {
 		stmt->errormsg = tbl_stmt->errormsg;
 		stmt->errornumber = tbl_stmt->errornumber;
 		SC_log_error(func, "", stmt);
-		SQLFreeStmt(htbl_stmt, SQL_DROP);
+		PG__SQLFreeStmt(htbl_stmt, SQL_DROP);
         return SQL_ERROR;
     }
 
-    result = SQLFetch(htbl_stmt);
+    result = PG__SQLFetch(htbl_stmt);
 
     while((result == SQL_SUCCESS) || (result == SQL_SUCCESS_WITH_INFO)) {
 
@@ -2204,18 +2226,18 @@
 
 		mylog(">> primaryKeys: pktab = '%s', attname = '%s', seq = %d\n", pktab, attname, seq);
 
-        result = SQLFetch(htbl_stmt);
+        result = PG__SQLFetch(htbl_stmt);
     }
 
     if(result != SQL_NO_DATA_FOUND) {
 		stmt->errormsg = SC_create_errormsg(htbl_stmt);
 		stmt->errornumber = tbl_stmt->errornumber;
 		SC_log_error(func, "", stmt);
-		SQLFreeStmt(htbl_stmt, SQL_DROP);
+		PG__SQLFreeStmt(htbl_stmt, SQL_DROP);
         return SQL_ERROR;
     }
 
-	SQLFreeStmt(htbl_stmt, SQL_DROP);
+	PG__SQLFreeStmt(htbl_stmt, SQL_DROP);
 
 
     // also, things need to think that this statement is finished so
@@ -2231,7 +2253,25 @@
     return SQL_SUCCESS;
 }
 
-RETCODE SQL_API SQLForeignKeys(
+RETCODE SQL_API SQLPrimaryKeys(
+                               HSTMT         hstmt,
+                               UCHAR FAR *   szTableQualifier,
+                               SWORD         cbTableQualifier,
+                               UCHAR FAR *   szTableOwner,
+                               SWORD         cbTableOwner,
+                               UCHAR FAR *   szTableName,
+                               SWORD         cbTableName)
+{
+    return PG__SQLPrimaryKeys( hstmt,
+            szTableQualifier,
+            cbTableQualifier,
+            szTableOwner,
+            cbTableOwner,
+            szTableName,
+            cbTableName );
+}
+
+RETCODE SQL_API PG__SQLForeignKeys(
                                HSTMT         hstmt,
                                UCHAR FAR *   szPkTableQualifier,
                                SWORD         cbPkTableQualifier,
@@ -2277,7 +2317,7 @@
 		stmt->errormsg = "Couldn't allocate memory for SQLForeignKeys result.";
         stmt->errornumber = STMT_NO_MEMORY_ERROR;
 		SC_log_error(func, "", stmt);
-		SQLFreeStmt(htbl_stmt, SQL_DROP);
+		PG__SQLFreeStmt(htbl_stmt, SQL_DROP);
         return SQL_ERROR;
     }
 
@@ -2313,7 +2353,7 @@
 	stmt->current_col = -1;
 
 
-    result = SQLAllocStmt( stmt->hdbc, &htbl_stmt);
+    result = PG__SQLAllocStmt( stmt->hdbc, &htbl_stmt);
     if((result != SQL_SUCCESS) && (result != SQL_SUCCESS_WITH_INFO)) {
 		stmt->errornumber = STMT_NO_MEMORY_ERROR;
 		stmt->errormsg = "Couldn't allocate statement for SQLForeignKeys result.";
@@ -2341,46 +2381,46 @@
 				" AND pg_proc.proname = 'check_primary_key' AND pg_class.relname = '%s'",
 				fktab);
 
-		result = SQLExecDirect(htbl_stmt, tables_query, strlen(tables_query));
+		result = PG__SQLExecDirect(htbl_stmt, tables_query, strlen(tables_query));
 		if((result != SQL_SUCCESS) && (result != SQL_SUCCESS_WITH_INFO)) {
 			stmt->errormsg = SC_create_errormsg(htbl_stmt);
 			stmt->errornumber = tbl_stmt->errornumber;
 			SC_log_error(func, "", stmt);
-    		SQLFreeStmt(htbl_stmt, SQL_DROP);
+    		PG__SQLFreeStmt(htbl_stmt, SQL_DROP);
 			return SQL_ERROR;
 		}
 
-		result = SQLBindCol(htbl_stmt, 1, SQL_C_BINARY,
+		result = PG__SQLBindCol(htbl_stmt, 1, SQL_C_BINARY,
 							args, MAX_INFO_STRING, NULL);
 		if((result != SQL_SUCCESS) && (result != SQL_SUCCESS_WITH_INFO)) {
 			stmt->errormsg = tbl_stmt->errormsg;
 			stmt->errornumber = tbl_stmt->errornumber;
 			SC_log_error(func, "", stmt);
-			SQLFreeStmt(htbl_stmt, SQL_DROP);
+			PG__SQLFreeStmt(htbl_stmt, SQL_DROP);
 			return SQL_ERROR;
 		}
 
-		result = SQLBindCol(htbl_stmt, 2, SQL_C_SHORT,
+		result = PG__SQLBindCol(htbl_stmt, 2, SQL_C_SHORT,
 							&nargs, 0, NULL);
 		if((result != SQL_SUCCESS) && (result != SQL_SUCCESS_WITH_INFO)) {
 			stmt->errormsg = tbl_stmt->errormsg;
 			stmt->errornumber = tbl_stmt->errornumber;
 			SC_log_error(func, "", stmt);
-			SQLFreeStmt(htbl_stmt, SQL_DROP);
+			PG__SQLFreeStmt(htbl_stmt, SQL_DROP);
 			return SQL_ERROR;
 		}
 
-		result = SQLBindCol(htbl_stmt, 3, SQL_C_CHAR,
+		result = PG__SQLBindCol(htbl_stmt, 3, SQL_C_CHAR,
 							tgname, sizeof(tgname), NULL);
 		if((result != SQL_SUCCESS) && (result != SQL_SUCCESS_WITH_INFO)) {
 			stmt->errormsg = tbl_stmt->errormsg;
 			stmt->errornumber = tbl_stmt->errornumber;
 			SC_log_error(func, "", stmt);
-			SQLFreeStmt(htbl_stmt, SQL_DROP);
+			PG__SQLFreeStmt(htbl_stmt, SQL_DROP);
 			return SQL_ERROR;
 		}
 
-		result = SQLFetch(htbl_stmt);
+		result = PG__SQLFetch(htbl_stmt);
 		if (result == SQL_NO_DATA_FOUND)
 			return SQL_SUCCESS;
 
@@ -2388,11 +2428,11 @@
 			stmt->errormsg = SC_create_errormsg(htbl_stmt);
 			stmt->errornumber = tbl_stmt->errornumber;
 			SC_log_error(func, "", stmt);
-			SQLFreeStmt(htbl_stmt, SQL_DROP);
+			PG__SQLFreeStmt(htbl_stmt, SQL_DROP);
 			return SQL_ERROR;
 		}
 
-		keyresult = SQLAllocStmt( stmt->hdbc, &hpkey_stmt);
+		keyresult = PG__SQLAllocStmt( stmt->hdbc, &hpkey_stmt);
 		if((keyresult != SQL_SUCCESS) && (keyresult != SQL_SUCCESS_WITH_INFO)) {
 			stmt->errornumber = STMT_NO_MEMORY_ERROR;
 			stmt->errormsg = "Couldn't allocate statement for SQLForeignKeys (pkeys) result.";
@@ -2400,13 +2440,13 @@
 			return SQL_ERROR;
 		}
 
-		keyresult = SQLBindCol(hpkey_stmt, 4, SQL_C_CHAR,
+		keyresult = PG__SQLBindCol(hpkey_stmt, 4, SQL_C_CHAR,
 								pkey, sizeof(pkey), NULL);
 		if (keyresult != SQL_SUCCESS) {
 			stmt->errornumber = STMT_NO_MEMORY_ERROR;
 			stmt->errormsg = "Couldn't bindcol for primary keys for SQLForeignKeys result.";
 			SC_log_error(func, "", stmt);
-			SQLFreeStmt(hpkey_stmt, SQL_DROP);
+			PG__SQLFreeStmt(hpkey_stmt, SQL_DROP);
 			return SQL_ERROR;
 		}
 
@@ -2432,23 +2472,23 @@
 
 				/*	If it doesn't match, then continue */
 				if ( strcmp(prel, pktab)) {	
-					result = SQLFetch(htbl_stmt);
+					result = PG__SQLFetch(htbl_stmt);
 					continue;
 				}
 			}
 
-			keyresult = SQLPrimaryKeys(hpkey_stmt, NULL, 0, NULL, 0, prel, SQL_NTS);
+			keyresult = PG__SQLPrimaryKeys(hpkey_stmt, NULL, 0, NULL, 0, prel, SQL_NTS);
 			if (keyresult != SQL_SUCCESS) {
 				stmt->errornumber = STMT_NO_MEMORY_ERROR;
 				stmt->errormsg = "Couldn't get primary keys for SQLForeignKeys result.";
 				SC_log_error(func, "", stmt);
-				SQLFreeStmt(hpkey_stmt, SQL_DROP);
+				PG__SQLFreeStmt(hpkey_stmt, SQL_DROP);
 				return SQL_ERROR;
 			}
 
 
 			/*	Check that the key listed is the primary key */
-			keyresult = SQLFetch(hpkey_stmt);
+			keyresult = PG__SQLFetch(hpkey_stmt);
 			for (k = 0; k < pkeys; k++) {
 
 				ptr += strlen(ptr) + 1;
@@ -2456,7 +2496,7 @@
 					pkeys = 0;
 					break;
 				}
-				keyresult = SQLFetch(hpkey_stmt);
+				keyresult = PG__SQLFetch(hpkey_stmt);
 			}
 			ptr = prel;
 
@@ -2504,7 +2544,7 @@
 
 			}
 
-			result = SQLFetch(htbl_stmt);
+			result = PG__SQLFetch(htbl_stmt);
 		}
 	}
 
@@ -2520,56 +2560,56 @@
 				" AND pg_proc.proname = 'check_foreign_key' AND pg_class.relname = '%s'",
 				pktab);
 
-		result = SQLExecDirect(htbl_stmt, tables_query, strlen(tables_query));
+		result = PG__SQLExecDirect(htbl_stmt, tables_query, strlen(tables_query));
 		if((result != SQL_SUCCESS) && (result != SQL_SUCCESS_WITH_INFO)) {
 			stmt->errormsg = SC_create_errormsg(htbl_stmt);
 			stmt->errornumber = tbl_stmt->errornumber;
 			SC_log_error(func, "", stmt);
-    		SQLFreeStmt(htbl_stmt, SQL_DROP);
+    		PG__SQLFreeStmt(htbl_stmt, SQL_DROP);
 			return SQL_ERROR;
 		}
 
-		result = SQLBindCol(htbl_stmt, 1, SQL_C_BINARY,
+		result = PG__SQLBindCol(htbl_stmt, 1, SQL_C_BINARY,
 							args, sizeof(args), NULL);
 		if((result != SQL_SUCCESS) && (result != SQL_SUCCESS_WITH_INFO)) {
 			stmt->errormsg = tbl_stmt->errormsg;
 			stmt->errornumber = tbl_stmt->errornumber;
 			SC_log_error(func, "", stmt);
-			SQLFreeStmt(htbl_stmt, SQL_DROP);
+			PG__SQLFreeStmt(htbl_stmt, SQL_DROP);
 			return SQL_ERROR;
 		}
 
-		result = SQLBindCol(htbl_stmt, 2, SQL_C_SHORT,
+		result = PG__SQLBindCol(htbl_stmt, 2, SQL_C_SHORT,
 							&nargs, 0, NULL);
 		if((result != SQL_SUCCESS) && (result != SQL_SUCCESS_WITH_INFO)) {
 			stmt->errormsg = tbl_stmt->errormsg;
 			stmt->errornumber = tbl_stmt->errornumber;
 			SC_log_error(func, "", stmt);
-			SQLFreeStmt(htbl_stmt, SQL_DROP);
+			PG__SQLFreeStmt(htbl_stmt, SQL_DROP);
 			return SQL_ERROR;
 		}
 
-		result = SQLBindCol(htbl_stmt, 3, SQL_C_SHORT,
+		result = PG__SQLBindCol(htbl_stmt, 3, SQL_C_SHORT,
 							&rule_type, 0, NULL);
 		if((result != SQL_SUCCESS) && (result != SQL_SUCCESS_WITH_INFO)) {
 			stmt->errormsg = tbl_stmt->errormsg;
 			stmt->errornumber = tbl_stmt->errornumber;
 			SC_log_error(func, "", stmt);
-			SQLFreeStmt(htbl_stmt, SQL_DROP);
+			PG__SQLFreeStmt(htbl_stmt, SQL_DROP);
 			return SQL_ERROR;
 		}
 
-		result = SQLBindCol(htbl_stmt, 4, SQL_C_CHAR,
+		result = PG__SQLBindCol(htbl_stmt, 4, SQL_C_CHAR,
 							tgname, sizeof(tgname), NULL);
 		if((result != SQL_SUCCESS) && (result != SQL_SUCCESS_WITH_INFO)) {
 			stmt->errormsg = tbl_stmt->errormsg;
 			stmt->errornumber = tbl_stmt->errornumber;
 			SC_log_error(func, "", stmt);
-			SQLFreeStmt(htbl_stmt, SQL_DROP);
+			PG__SQLFreeStmt(htbl_stmt, SQL_DROP);
 			return SQL_ERROR;
 		}
 
-		result = SQLFetch(htbl_stmt);
+		result = PG__SQLFetch(htbl_stmt);
 		if (result == SQL_NO_DATA_FOUND)
 			return SQL_SUCCESS;
 
